Package org.kapott.hbci.GV

## Class GVLastCOR1SEPA

- java.lang.Object
- - org.kapott.hbci.GV.HBCIJobImpl
  - - org.kapott.hbci.GV.AbstractSEPAGV
    - - org.kapott.hbci.GV.AbstractGVLastSEPA
      - - org.kapott.hbci.GV.GVLastCOR1SEPA

All Implemented Interfaces:
  `HBCIJob`

Direct Known Subclasses:
  `GVMultiLastCOR1SEPA`

    public class GVLastCOR1SEPA
    extends AbstractGVLastSEPA

Implementierung des HBCI-Jobs fuer die SEPA-COR1-Lastschrift.

### Field Summary

### Fields inherited from class org.kapott.hbci.GV.AbstractSEPAGV

`ENDTOEND_ID_NOTPROVIDED, sepaParams`

### Fields inherited from class org.kapott.hbci.GV.HBCIJobImpl

`jobResult`

### Constructor Summary

Constructors
`GVLastCOR1SEPA​(HBCIHandler handler)` ct.
`GVLastCOR1SEPA​(HBCIHandler handler, java.lang.String lowlevelName, AbstractGVRLastSEPA result)` ct.

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getLowlevelName()` Liefert den Lowlevel-Jobnamen.

### Methods inherited from class org.kapott.hbci.GV.AbstractGVLastSEPA

`extractResults, getDefaultPainVersion, getPainJobName, getPainType`

### Methods inherited from class org.kapott.hbci.GV.AbstractSEPAGV

`addConstraint, createSEPAFromParams, getLowlevelParam, getPainVersion, getSEPAGenerator, getSEPAMessageId, getSEPAParam, setLowlevelParam, setSEPAParam, verifyConstraints`

### Methods inherited from class org.kapott.hbci.GV.HBCIJobImpl

`acceptsParam, addConstraint, addSignaturePassport, addToQueue, addToQueue, applyOffset, canNationalAcc, checkAccountCRC, createJobSegment, createJobSegment, fillJobResult, getChallengeParam, getExternalId, getHBCICode, getJobName, getJobParameterNames, getJobRestrictions, getJobResult, getJobResultNames, getLowlevelParams, getMainPassport, getMaxNumberPerMsg, getMinSigs, getName, getOrderAccount, getParentHandler, getSecurityClass, getSegVersion, getSignaturePassports, haveTan, redo, redoAllowed, saveReturnValues, setExternalId, setIdx, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setSegVersion, skip, skipped, tanApplied, twoDigitValueInList`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GVLastCOR1SEPA

    public GVLastCOR1SEPA​(HBCIHandler handler)

ct.

Parameters:
  `handler` -

#### GVLastCOR1SEPA

    public GVLastCOR1SEPA​(HBCIHandler handler,
                          java.lang.String lowlevelName,
                          AbstractGVRLastSEPA result)

ct.

Parameters:
  `handler` -
  `lowlevelName` -
  `result` -

### Method Detail

#### getLowlevelName

    public static java.lang.String getLowlevelName()

Liefert den Lowlevel-Jobnamen.

Returns:
  der Lowlevel-Jobname.